<div class="card">
  <div class="card-header">
    <i class=" fas fa-list text-white"></i> <span >Historico</span>

  </div>
  <div class="card-body">
    <div class="row">

      <div class="col-sm-4">
        <label class="mr-2">Rango de fecha: </label>
        <p-calendar [(ngModel)]="rangeDates"  selectionMode="range" [readonlyInput]="true"></p-calendar>
      </div>


      <div class="col-sm-2 col-4 mb-1">
        <button class=" btn bCSO" (click)="buscarHistorico()" >
          <span class = "fas fa-file-alt "></span> <span >  BUSCAR DATA</span></button>
      </div>

      <div class="col-sm-2 col-4 mb-1">
        <button class=" btn bCSO" (click)="exportAsXLSX()" >
          <span class = "fas fa-file-alt "></span> <span >  EXPORTAR EXCEL</span></button>
      </div>

      <div class="col-sm-12">

        <p-table  #dt [value]="consultaHistoricoArray" [paginator]="true" [rows]="10"
                  [scrollable]="true" [style]="{width:'100%'}" scrollHeight="500px"
                  [pageLinks]="3" [rowsPerPageOptions]="[10,25,50]" >
          <ng-template pTemplate="colgroup" let-columns>
            <colgroup>
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">
              <col  style="width:250px">

            </colgroup>
          </ng-template>
          <ng-template pTemplate="header">
            <tr class="text-center">
              <th >Ticket</th>
              <th>Remisiones</th>
              <th >Planta</th>
              <th >Numero de muelle</th>
              <th >Fecha</th>
              <th >Placa</th>
              <th >Tipo de Vehiculo</th>
              <th >Trasportador</th>
              <th >Tipo operacion</th>
              <th >Tarifa</th>
              <th >Nro. de documento</th>
              <th >Hora_Arribo_Planta</th>
              <th >Hora_Ingreso_Planta</th>
              <th >Hora_Inicio_Operacion</th>
              <th >Hora_Fin_Operacion</th>
              <th >Hora_Verificacion</th>
              <th >Observaciones</th>
              <th >Tiempo de espera para ingreso a planta</th>
              <th >Tiempo de espera para inicio de operacion</th>
              <th >Tiempo de operacion</th>
              <th >Tiempo espera para verfificacion</th>
              <th >Tiempo total en planta (No incluye espera para el ingreso a planta)</th>
              <th >Tiempo total atraso en operacion</th>
              <th >Tiempo de atencion sin afectacion</th>
              <th >Cedula1</th>
              <th >Cedula2</th>
              <th >Cedula3</th>
              <th >Cedula4</th>
              <th >Cedula5</th>
              <th >Cedula6</th>
              <th >Cedula7</th>
              <th >Cedula8</th>
              <th >Cedula9</th>
              <th >Cedula10</th>

            </tr>
          </ng-template>
          <ng-template pTemplate="body" let-c>
            <tr  class="text-center">
              <td>{{c.id}}
              </td>
              <td>
                  <button (click)="openModalRemision( 'Remisión', c.id , c.idOperacion)"  class=" btn bCSC" >
                  <span class = "fa fa-sticky-note "></span> <span > Ver remisión</span></button>
                </td>
              <td>{{c.nombrePlanta}}</td>
              <td>{{c.muelle}}</td>
              <td>{{c.fechaCreacion}}</td>
              <td>{{c.placa}}</td>
              <td>{{c.tipoTransporte}}</td>
              <td>{{c.nombreTransportista}}</td>
              <td>{{c.nombreOperacion}}</td>
              <td>{{c.tarifa}}</td>
              <td>{{c.numeroRemision}}</td>
              <td>{{c.horaArriboPlanta}}</td>
              <td>{{c.horaIngresoPlanta}}</td>
              <td>{{c.horaInicioOperacion}}</td>
              <td>{{c.horaFinOperacion}}</td>
              <td>{{c.horaVerificacion}}</td>
              <td>{{c.observaciones}}</td>
              <td>{{c.tiempoEsperaIngresoPlanta}}</td>
              <td>{{c.tiempoEsperaInicioOperacion}}</td>
              <td>{{c.tiempoOperacion}}</td>
              <td>{{c.tiempoEsperaVerfificacion}}</td>
              <td>{{c.tiepoTotalPlanta}}</td>
              <td>{{c.tiempoTotalAtrasoOperacion}}</td>
              <td>{{c.tiempoAtencionSinAfectacion}}</td>
              <td>{{c.cedula1}}</td>
              <td>{{c.cedula2}}</td>
              <td>{{c.cedula3}}</td>
              <td>{{c.cedula4}}</td>
              <td>{{c.cedula5}}</td>
              <td>{{c.cedula6}}</td>
              <td>{{c.cedula7}}</td>
              <td>{{c.cedula8}}</td>
              <td>{{c.cedula9}}</td>
              <td>{{c.cedula10}}</td>


            </tr>
          </ng-template>
        </p-table>
      </div>
    </div>
  </div>
</div>
